LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Public Member Functions | List of all members
salhelper::TTimeValue Struct Reference

Helper class for easier manipulation with TimeValue. More...

`#include <timer.hxx>`

Inheritance diagram for salhelper::TTimeValue:

## Public Member Functions
| TTimeValue ()
| TTimeValue (sal_uInt32 Secs, sal_uInt32 Nano)
| TTimeValue (sal_uInt32 MilliSecs)
| TTimeValue (const TTimeValue &rTimeValue)
| TTimeValue (const TimeValue &rTimeValue)
void | normalize ()
void | addTime (const TTimeValue &Delta)
bool | isEmpty () const

## Additional Inherited Members
Public Attributes inherited from TimeValue
sal_uInt32 | Seconds
sal_uInt32 | Nanosec

## Detailed Description

Helper class for easier manipulation with TimeValue.

Times are seconds in UTC since 01.01.1970

## Constructor & Destructor Documentation

## ◆ TTimeValue() [1/5]

salhelper::TTimeValue::TTimeValue | ( |  | ) |
| inline

## ◆ TTimeValue() [2/5]

salhelper::TTimeValue::TTimeValue | ( | sal_uInt32 | Secs,
|  | sal_uInt32 | Nano
| ) |  |
| inline

## ◆ TTimeValue() [3/5]

salhelper::TTimeValue::TTimeValue | ( | sal_uInt32 | MilliSecs | ) |
| inline

## ◆ TTimeValue() [4/5]

salhelper::TTimeValue::TTimeValue | ( | const TTimeValue & | rTimeValue | ) |
| inline

## ◆ TTimeValue() [5/5]

salhelper::TTimeValue::TTimeValue | ( | const TimeValue & | rTimeValue | ) |
| inline

## Member Function Documentation

## ◆ addTime()

void salhelper::TTimeValue::addTime | ( | const TTimeValue & | Delta | ) |
| inline

## ◆ isEmpty()

bool salhelper::TTimeValue::isEmpty | ( |  | ) | const
| inline

## ◆ normalize()

void salhelper::TTimeValue::normalize | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- salhelper/timer.hxx